Manchmal ärgert man sich, dass es das ein oder andere Package nicht für (Open)Solaris gibt. Man kann ohne Probleme die Pakages von Blastwave bzw. OpenCSW nutzen. Es sind noch die “alten” SystemV-Pakages von Solaris 10 und älter. Man kann sie jedoch ohne Einschänkungen unter OpenSolaris nutzen.

Ich habe das Gefühl, das in Erlangen die meisten Pakages zu finden sind. Deswegen habe ich in meine /opt/csw/etc/pkgutil.conf die folgende Zeile eingetragen:

# Mirror to use for downloads
# See http://www.blastwave.org/mirrors.php for alternative mirrors
# Default: http://blastwave.network.com/csw/unstable
#mirror=http://blastwave.network.com/csw/unstable
mirror=http://csw.informatik.uni-erlangen.de/csw/unstable/

Wenn man Blastwave bzw. OpenCSW noch nicht nutzt, dann kann man hier nachlesen, wie man sich diese Packages zugänglich macht. Auf jeden Fall sollte man in der /opt/csw/etc/pkgutil.conf nachsehen, ob http://csw.informatik.uni-erlangen.de/csw/unstable/ als mirror eingetragen ist.